The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Unassign Attack Filter to a Sensor and Attack

Prev Next

This URL unassign the specified attack filters to a particular Sensor and attack.

Resource URL

DELETE /sensor/<sensor_id>/attackfilter/<attack_id>

Query Parameter: ?direction=

  • INBOUND

  • OUTBOUND

If the direction is not defined, it will throw an error.

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor id

number

Yes

attack_id

Attack id to which the attack filters are assigned

String

Yes

direction

Direction type can be INBOUND or OUTBOUND

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by unassignment

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/sensor/1001/attackfilter /0x40503900 ?direction=INBOUND

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

404

1402

Invalid attack id

3

404

1403

Invalid attack direction